Bug 1402284 (CVE-2016-9912) - CVE-2016-9912 Qemu: display: virtio-gpu: memory leakage when destroying gpu resource
Summary: CVE-2016-9912 Qemu: display: virtio-gpu: memory leakage when destroying gpu r...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2016-9912
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1402285
Blocks: 1395985
TreeView+ depends on / blocked
 
Reported: 2016-12-07 07:44 UTC by Prasad J Pandit
Modified: 2019-09-29 14:02 UTC (History)
36 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:03:38 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2016-12-07 07:44:01 UTC
Quick Emulator(Qemu) built with the Virtio GPU Device emulator support is
vulnerable to a memory leakage issue. It could occur while destroying gpu
resource object in 'virtio_gpu_resource_destroy'.

A guest user/process could use this flaw to leak host memory bytes, resulting
in DoS for a host.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-11/msg05043.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/12/06/12

Comment 1 Prasad J Pandit 2016-12-07 07:45:18 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1402285]

Comment 3 Cole Robinson 2017-01-16 18:49:15 UTC
commit b8e23926c568f2e963af39028b71c472e3023793
Author: Li Qiang <liq3ea@gmail.com>
Date:   Mon Nov 28 21:29:25 2016 -0500

    virtio-gpu: call cleanup mapping function in resource destroy


Note You need to log in before you can comment on or make changes to this bug.